Package org.gradle.platform.base

## Interface ModuleDependencySpec

- All Superinterfaces:
    `DependencySpec`

      @Incubating
      public interface ModuleDependencySpec
      extends DependencySpec

  A dependency onto a module.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getGroup()` | The group of the module this dependency specification refers to.
    `java.lang.String` | `getName()` | The name of the module this dependency specification refers to.
    `java.lang.String` | `getVersion()` | The version range of the module this dependency specification refers to.

    - ### Methods inherited from interface org.gradle.platform.base.DependencySpec

      `getDisplayName`

- - ### Method Detail

    - #### getGroup

          java.lang.String getGroup()

      The group of the module this dependency specification refers to.
      Returns:
        the module group name

    - #### getName

          java.lang.String getName()

      The name of the module this dependency specification refers to.
      Returns:
        the module name

    - #### getVersion

          @Nullable
          java.lang.String getVersion()

      The version range of the module this dependency specification refers to.
      Returns:
        the module version range